# File rvsao/emplot.cl
# July 7, 2008
# By Doug Mink, Harvard-Smithsonian Center for Astrophysics

# EMPLOT -- Use EMSAO to plot emission and absorption lines already found
#           in a spectrum file or list of spectra

procedure emplot (spectra)

string	spectra=""	{prompt="RFN or file"}
int     specband=3	{prompt="Spectrum band to plot (3 in IRAF multispec)"}
string  specnum=""	{prompt="Spectrum aperture range to plot"}
string  specdir=""	{prompt="Directory for spectrum to plot"}
string  ablines="ablines.dat"	{prompt="File of absorption lines to label"}
string  emlines="emlines.dat"	{prompt="File of emission lines to label"}
string  linedir="rvsao$lib/"	{prompt="Directory for lines to label"}
string	velplot="combination"	{prompt="Velocity to plot",
				 enum="combination|emission|correlation"}

begin
string	eml

eml = "+" // emlines

emsao (spectra,vel_init="combination",linefit=no,curmode=yes,ablines=ablines,emlines=eml,specdir=specdir,logfiles="",save_vel=no,vel_plot=velplot,displot=yes,dispmode=3)
 
end

# May 13 2008	New script based on qplot
# May 29 2008	Change name from eplot to emplot for consistency with xcplot
# Jul  7 2008	Add specband, specnum, specdir, ablines, emlines, linedir
# Jul  7 2008	Prepend + to line files to force line labelling
